com.sun.syndication.io.impl

## Class RSS20Generator

- java.lang.Object
- - com.sun.syndication.io.impl.BaseWireFeedGenerator
  - - com.sun.syndication.io.impl.RSS090Generator
    - - com.sun.syndication.io.impl.RSS091UserlandGenerator
      - - com.sun.syndication.io.impl.RSS092Generator
        - - com.sun.syndication.io.impl.RSS093Generator
          - - com.sun.syndication.io.impl.RSS094Generator
            - - com.sun.syndication.io.impl.RSS20Generator

All Implemented Interfaces:
  WireFeedGenerator

    public class RSS20Generator
    extends RSS094Generator

Feed Generator for RSS 2.0

### Constructor Summary

Constructors
`` `RSS20Generator()`
`protected` `RSS20Generator(java.lang.String feedType, java.lang.String version)`

### Method Summary

Methods
`protected void` `populateChannel(Channel channel, org.jdom.Element eChannel)` Populates the given channel with parsed data from the ROME element that holds the channel data.
`void` `populateItem(Item item, org.jdom.Element eItem, int index)`

### Methods inherited from class com.sun.syndication.io.impl.RSS093Generator

`getNumberOfEnclosures`

### Methods inherited from class com.sun.syndication.io.impl.RSS092Generator

`checkChannelConstraints, checkImageConstraints, checkItemConstraints, checkItemsConstraints, checkTextInputConstraints, generateCategoryElement, generateCloud, generateEnclosure, generateSourceElement`

### Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandGenerator

`addChannel, createDocument, createRootElement, generateSkipDaysElement, generateSkipHoursElement, getFeedNamespace, getVersion, isHourFormat24, populateFeed, populateImage`

### Methods inherited from class com.sun.syndication.io.impl.RSS090Generator

`addImage, addItem, addItems, addTextInput, checkLength, checkNotNullAndLength, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, getTextInputLabel, populateTextInput`

### Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator

`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RSS20Generator

    public RSS20Generator()

#### RSS20Generator

    protected RSS20Generator(java.lang.String feedType,
                  java.lang.String version)

### Method Detail

#### populateChannel

    protected void populateChannel(Channel channel,
                       org.jdom.Element eChannel)

Description copied from class: `RSS090Generator`
Populates the given channel with parsed data from the ROME element that holds the channel data.

Overrides:
  `populateChannel` in class `RSS092Generator`
Parameters:
  `channel` - the channel into which parsed data will be added.
  `eChannel` - the XML element that holds the data for the channel.

#### populateItem

    public void populateItem(Item item,
                    org.jdom.Element eItem,
                    int index)

Overrides:
  `populateItem` in class `RSS094Generator`